Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server
Class ServerPeer

    java.lang.Object
      ServiceMBeanSupport
          org.jboss.jms.server.ServerPeer

public class ServerPeer
extends ServiceMBeanSupport

A JMS server peer.

Version:
  `$Revision: 1.107 $` $Id: ServerPeer.java,v 1.107 2006/06/27 19:44:38 timfox Exp $
Author:
  Ovidiu Feodorov, Tim Fox
See Also:
  Serialized Form

Field Summary
`protected ChannelMapper` | `channelMapper`
`protected ObjectName` | `channelMapperObjectName`
`protected byte[]` | `clientAOPConfig`
`protected ConnectionManager` | `connectionManager`
`protected ConnectorManager` | `connectorManager`
`protected ConnectionFactoryJNDIMapper` | `connFactoryJNDIMapper`
`protected java.lang.String` | `defaultQueueJNDIContext`
`protected java.lang.String` | `defaultTopicJNDIContext`
`protected org.jboss.jms.server.DestinationJNDIMapper` | `destinationJNDIMapper`
`protected JMSServerInvocationHandler` | `handler`
`protected MemoryManager` | `memoryManager`
`protected IdManager` | `messageIdManager`
`protected MessageStore` | `messageStoreDelegate`
`protected ObjectName` | `messageStoreObjectName`
`protected int` | `objectIDSequence`
`protected PersistenceManager` | `persistenceManagerDelegate`
`protected ObjectName` | `persistenceManagerObjectName`
`static java.lang.String` | `RECOVERABLE_CTX_NAME`
`static java.lang.String` | `REMOTING_JMS_SUBSYSTEM`
`protected SecurityMetadataStore` | `securityStore`
`protected java.lang.String` | `serverPeerID`
`protected boolean` | `started`
`protected ThreadPool` | `threadPoolDelegate`
`protected ObjectName` | `threadPoolObjectName`
`protected TransactionRepository` | `txRepository`

Constructor Summary
`ServerPeer(java.lang.String serverPeerID, java.lang.String defaultQueueJNDIContext, java.lang.String defaultTopicJNDIContext)`

Method Summary
`java.lang.String` | `createQueue(java.lang.String name, java.lang.String jndiName)`
`java.lang.String` | `createQueue(java.lang.String name, java.lang.String jndiName, int fullSize, int pageSize, int downCacheSize)`
`java.lang.String` | `createTopic(java.lang.String name, java.lang.String jndiName)`
`java.lang.String` | `createTopic(java.lang.String name, java.lang.String jndiName, int fullSize, int pageSize, int downCacheSize)`
`boolean` | `destroyQueue(java.lang.String name)`
`boolean` | `destroyTopic(java.lang.String name)`
`ObjectName` | `getChannelMapper()`
`ChannelMapper` | `getChannelMapperDelegate()`
`byte[]` | `getClientAOPConfig()`
`ConnectionFactoryManager` | `getConnectionFactoryManager()`
`ConnectionManager` | `getConnectionManager()`
`ConnectorManager` | `getConnectorManager()`
`ServerConsumerEndpoint` | `getConsumerEndpoint(int consumerID)`
`java.lang.String` | `getDefaultQueueJNDIContext()`
`org.w3c.dom.Element` | `getDefaultSecurityConfig()`
`java.lang.String` | `getDefaultTopicJNDIContext()`
`DestinationManager` | `getDestinationManager()`
`java.util.Set` | `getDestinations()`
`java.lang.Object` | `getInstance()`
`ServerInvocationHandler` | `getInvocationHandler()`
`int` | `getJMSMajorVersion()`
`int` | `getJMSMinorVersion()`
`java.lang.String` | `getJMSProviderName()`
`java.lang.String` | `getJMSVersion()`
`MemoryManager` | `getMemoryManager()`
`IdManager` | `getMessageIdManager()`
`ObjectName` | `getMessageStore()`
`MessageStore` | `getMessageStoreDelegate()`
`int` | `getNextObjectID()`
`ObjectName` | `getPersistenceManager()`
`PersistenceManager` | `getPersistenceManagerDelegate()`
`int` | `getProviderMajorVersion()`
`int` | `getProviderMinorVersion()`
`java.lang.String` | `getProviderVersion()`
`java.lang.String` | `getSecurityDomain()`
`SecurityManager` | `getSecurityManager()`
`java.lang.String` | `getServerPeerID()`
`ObjectName` | `getThreadPool()`
`ThreadPool` | `getThreadPoolDelegate()`
`TransactionRepository` | `getTxRepository()`
`Version` | `getVersion()`
`boolean` | `isDeployed(boolean isQueue, java.lang.String name)`
`boolean` | `isStarted()`
`ServerConsumerEndpoint` | `putConsumerEndpoint(int consumerID, ServerConsumerEndpoint c)`
`ServerConsumerEndpoint` | `removeConsumerEndpoint(java.lang.Integer consumerID)`
`void` | `setChannelMapper(ObjectName on)`
`void` | `setDefaultSecurityConfig(org.w3c.dom.Element conf)`
`void` | `setMessageStore(ObjectName on)`
`void` | `setPersistenceManager(ObjectName on)`
`void` | `setSecurityDomain(java.lang.String securityDomain)`
`void` | `setThreadPool(ObjectName on)`
`void` | `startService()`
`void` | `stopService()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECOVERABLE_CTX_NAME

    public static final java.lang.String RECOVERABLE_CTX_NAME

See Also:
  Constant Field Values

### REMOTING_JMS_SUBSYSTEM

    public static final java.lang.String REMOTING_JMS_SUBSYSTEM

See Also:
  Constant Field Values

### serverPeerID

    protected java.lang.String serverPeerID

### clientAOPConfig

    protected byte[] clientAOPConfig

### defaultQueueJNDIContext

    protected java.lang.String defaultQueueJNDIContext

### defaultTopicJNDIContext

    protected java.lang.String defaultTopicJNDIContext

### started

    protected boolean started

### objectIDSequence

    protected int objectIDSequence

### destinationJNDIMapper

    protected org.jboss.jms.server.DestinationJNDIMapper destinationJNDIMapper

### securityStore

    protected SecurityMetadataStore securityStore

### connFactoryJNDIMapper

    protected ConnectionFactoryJNDIMapper connFactoryJNDIMapper

### txRepository

    protected TransactionRepository txRepository

### connectionManager

    protected ConnectionManager connectionManager

### connectorManager

    protected ConnectorManager connectorManager

### messageIdManager

    protected IdManager messageIdManager

### memoryManager

    protected MemoryManager memoryManager

### threadPoolObjectName

    protected ObjectName threadPoolObjectName

### threadPoolDelegate

    protected ThreadPool threadPoolDelegate

### persistenceManagerObjectName

    protected ObjectName persistenceManagerObjectName

### persistenceManagerDelegate

    protected PersistenceManager persistenceManagerDelegate

### messageStoreObjectName

    protected ObjectName messageStoreObjectName

### messageStoreDelegate

    protected MessageStore messageStoreDelegate

### channelMapperObjectName

    protected ObjectName channelMapperObjectName

### channelMapper

    protected ChannelMapper channelMapper

### handler

    protected JMSServerInvocationHandler handler

Constructor Detail

### ServerPeer

    public ServerPeer(java.lang.String serverPeerID,
                      java.lang.String defaultQueueJNDIContext,
                      java.lang.String defaultTopicJNDIContext)
               throws java.lang.Exception

Method Detail

### startService

    public void startService()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stopService

    public void stopService()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getThreadPool

    public ObjectName getThreadPool()

### setThreadPool

    public void setThreadPool(ObjectName on)

### getPersistenceManager

    public ObjectName getPersistenceManager()

### setPersistenceManager

    public void setPersistenceManager(ObjectName on)

### getMessageStore

    public ObjectName getMessageStore()

### setMessageStore

    public void setMessageStore(ObjectName on)

### getChannelMapper

    public ObjectName getChannelMapper()

### setChannelMapper

    public void setChannelMapper(ObjectName on)

### getInstance

    public java.lang.Object getInstance()

### getJMSVersion

    public java.lang.String getJMSVersion()

### getJMSMajorVersion

    public int getJMSMajorVersion()

### getJMSMinorVersion

    public int getJMSMinorVersion()

### getJMSProviderName

    public java.lang.String getJMSProviderName()

### getProviderVersion

    public java.lang.String getProviderVersion()

### getProviderMajorVersion

    public int getProviderMajorVersion()

### getProviderMinorVersion

    public int getProviderMinorVersion()

### getServerPeerID

    public java.lang.String getServerPeerID()

### getDefaultQueueJNDIContext

    public java.lang.String getDefaultQueueJNDIContext()

### getDefaultTopicJNDIContext

    public java.lang.String getDefaultTopicJNDIContext()

### setSecurityDomain

    public void setSecurityDomain(java.lang.String securityDomain)

### getSecurityDomain

    public java.lang.String getSecurityDomain()

### setDefaultSecurityConfig

    public void setDefaultSecurityConfig(org.w3c.dom.Element conf)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDefaultSecurityConfig

    public org.w3c.dom.Element getDefaultSecurityConfig()

### getMessageIdManager

    public IdManager getMessageIdManager()

### getInvocationHandler

    public ServerInvocationHandler getInvocationHandler()

### createQueue

    public java.lang.String createQueue(java.lang.String name,
                                        java.lang.String jndiName)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createQueue

    public java.lang.String createQueue(java.lang.String name,
                                        java.lang.String jndiName,
                                        int fullSize,
                                        int pageSize,
                                        int downCacheSize)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### destroyQueue

    public boolean destroyQueue(java.lang.String name)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createTopic

    public java.lang.String createTopic(java.lang.String name,
                                        java.lang.String jndiName)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createTopic

    public java.lang.String createTopic(java.lang.String name,
                                        java.lang.String jndiName,
                                        int fullSize,
                                        int pageSize,
                                        int downCacheSize)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### destroyTopic

    public boolean destroyTopic(java.lang.String name)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDestinations

    public java.util.Set getDestinations()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isDeployed

    public boolean isDeployed(boolean isQueue,
                              java.lang.String name)

### getChannelMapperDelegate

    public ChannelMapper getChannelMapperDelegate()

### getTxRepository

    public TransactionRepository getTxRepository()

### isStarted

    public boolean isStarted()

### getClientAOPConfig

    public byte[] getClientAOPConfig()

### getVersion

    public Version getVersion()

### getSecurityManager

    public SecurityManager getSecurityManager()

### getDestinationManager

    public DestinationManager getDestinationManager()

### getConnectionFactoryManager

    public ConnectionFactoryManager getConnectionFactoryManager()

### getConnectionManager

    public ConnectionManager getConnectionManager()

### getConnectorManager

    public ConnectorManager getConnectorManager()

### getThreadPoolDelegate

    public ThreadPool getThreadPoolDelegate()

### getPersistenceManagerDelegate

    public PersistenceManager getPersistenceManagerDelegate()

### getMessageStoreDelegate

    public MessageStore getMessageStoreDelegate()

### getMemoryManager

    public MemoryManager getMemoryManager()

### getNextObjectID

    public int getNextObjectID()

### putConsumerEndpoint

    public ServerConsumerEndpoint putConsumerEndpoint(int consumerID,
                                                      ServerConsumerEndpoint c)

### getConsumerEndpoint

    public ServerConsumerEndpoint getConsumerEndpoint(int consumerID)

### removeConsumerEndpoint

    public ServerConsumerEndpoint removeConsumerEndpoint(java.lang.Integer consumerID)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.